Skip to content

URL Metadata API

This API provides access to website’s metadata, such as name, description, image, favicon, url, and so on. This is perfect for generating rich link preview for applications, forums, bots etc.

POST /api/v1/metadata

The following parameters are accepted in the request body:

FieldTypeRequiredDescription
urlstringYesThe target website URL (must start with http or https).
Terminal window
curl -X POST https://heavstal.com.ng/api/v1/metadata \
-H "Content-Type: application/json" \
-H "x-api-key: <YOUR_API_KEY>" \
-d '{"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"}'
{
"status": "success",
"creator": "HEAVSTAL TECH",
"data": {
"title": "Rick Astley - Never Gonna Give You Up",
"description": "The official video for...",
"image": "https://i.ytimg.com/vi/dQw4w9WgXcQ/maxresdefault.jpg",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"favicon": "https://www.youtube.com/s/desktop/favicon.ico",
"site_name": "YouTube"
}
}